Bug 476396 - Strange behaviour in adding new printer
Strange behaviour in adding new printer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 21:35 EST by Matt Castelein
Modified: 2009-01-21 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:30:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2008-12-13 21:35:47 EST
Description of problem:
When I try to add an IPP printer, I type the name and then click "Find Queue", which shows me the printers.  Choosing one changes the server name to an IP, and then the queue becomes inaccessible.  Clicking "Find Queue" again results in the message "it is not possible to obtain a list of queues from 192.168.1.4:631  Obtaining a list of queues is a CUPS extension to IPP.  Network printers do not support it."  192.168.1.4:631 is a CUPS server.  Changing the IP and port back to the hostname not only makes the queues findable again, but also makes the queue accessible.

Version-Release number of selected component (if applicable):
system-config-printer-1.0.12-2.fc10.i386

How reproducible:
Always
Comment 1 Tim Waugh 2008-12-15 05:39:54 EST
Fixed upstream.  It didn't understand how to parse "host:port".

The fact that you get an IP address there means that the CUPS server is advertising those queues as being at that IP address rather than at the host name.
Comment 2 Fedora Update System 2008-12-21 03:20:54 EST
system-config-printer-1.0.12-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11136
Comment 3 Fedora Update System 2008-12-21 03:33:50 EST
system-config-printer-1.0.12-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11189
Comment 4 Fedora Update System 2009-01-14 22:02:13 EST
system-config-printer-1.0.12-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11136
Comment 5 Fedora Update System 2009-01-14 22:04:09 EST
system-config-printer-1.0.12-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11189
Comment 6 Fedora Update System 2009-01-16 18:45:44 EST
system-config-printer-1.0.13-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11136
Comment 7 Fedora Update System 2009-01-16 18:49:07 EST
system-config-printer-1.0.13-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11189
Comment 8 Fedora Update System 2009-01-21 16:29:49 EST
system-config-printer-1.0.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-01-21 16:38:38 EST
system-config-printer-1.0.13-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.